"""
$RCSfile: IExternalFile.py,v $

ExternalFile encapsulates a file in the filesystem for use as a Zope
object.  IExternalFile is the interface implemented by ExternalFile.

Author: <a href="mailto:cstrong@arielpartners.com">Craeg Strong</a>
Release: 1.0
"""

__cvstag__  = '$Name:  $'[6:-2]
__date__    = '$Date: 2002/02/17 20:40:56 $'[6:-2]
__version__ = '$Revision: 1.1 $'[10:-2]

# Zope Base Classes
from Interface import Base

################################################################
# IExternalFile interface
################################################################

class IExternalFile(Base):
    """
    Encapsulates a file in the filesystem as a Zope object.
    """

    def getFiletype(self):
        """

        Returns 'ascii', 'image', or 'binary' according to the
        mime_type_map defaults to 'binary' if no match is found.

        """

    def getFilepath(self, REQUEST):
        """

        Return the full pathname of the external file to which we are
        referring.  The REQUEST parameter encapsulates information
        about the environment which can be used by subclasses
        overriding this method.

        """

    def getFileModTime(self, REQUEST):
        """
        
        Return the last modification date of the external file to
        which we are referring.  The value is returned as number of
        seconds since the epoch in UTC (see python time module).  The
        REQUEST parameter encapsulates information about the
        environment which can be used by subclasses overriding this
        method.
        
        """

    def getModTime(self, REQUEST):
        """
        
        Return the last modification date of the external file to
        which we are referring, or of our metadata which is stored
        internally in the ZODB, whichever is more recent (greater).
        The value is returned as number of seconds since the epoch in
        UTC (see python time module).  The REQUEST parameter
        encapsulates information about the environment which can be
        used by subclasses overriding this method.
        
        """

    def getContents(self, REQUEST):
        """

        Return the contents of this external file as a string.  The
        REQUEST parameter encapsulates information about the
        environment which can be used by subclasses overriding this
        method.

        """

    def setContents(self, newcontents, REQUEST):
        """
        
        Overwrite the previous contents of this file with the
        newcontents string.  The REQUEST parameter encapsulates
        information about the environment which can be used by
        subclasses overriding this method.

        """
