"""
$RCSfile: __init__.py,v $
The ExternalFile package is a Zope product.
ExternalFile encapsulates a file in the filesystem for
use as a Zope object

Author: <a href="mailto:cstrong@arielpartners.com">Craeg Strong</a>
Release: 1.0
"""
__cvstag__  = '$Name:  $'[6:-2]
__date__    = '$Date: 2001/10/31 05:10:03 $'[6:-2]
__version__ = '$Revision: 1.15 $'[10:-2]

import ExternalFile

from ExternalFile import manage_addForm, manage_add, \
     create_externalfile_formpart, create_standard_formpart, \
     confirm_create_form, conflict_create_form, confirm_create_action, \
     create_object, create_file, getHostname

def initialize(context):
    """
    
    Initialize the ExternalFile product.  This makes the object appear
    in the Zope product list menu.  initialize() is called by Zope
    when starting a Zope server.  The "context" argument is an
    instance of App.ProductContext.ProductContext

    """
    try:
        context.registerClass(ExternalFile.ExternalFile,  # register this class in Zope
                              constructors = (
            manage_addForm,    # called when someone adds product to a folder
            create_externalfile_formpart,
            create_standard_formpart,
            manage_add,
            confirm_create_form,
            conflict_create_form,
            confirm_create_action,
            create_object,
            create_file,
            getHostname),
                              icon = 'www/externalFile.gif'
                              )
        context.registerHelp()
    except:
        import sys, traceback, string
        type, val, tb = sys.exc_info()
        sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
        del type, val, tb
